
%define with_indilib 1
%define indilib_version 0.9.8
%define eigen_version 2.91.0
%define xplanet_version 1.2.1


Name: kstars
Summary: A Desktop Planetarium
Version: 17.12.3
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2 and GFDL
URL: http://www.kde.org/applications/education/kstars/
Source: http://download.kde.org/stable/%version/src/%name-2.9.3.tar.xz

BuildRequires: %{_lib}qjson-devel
BuildRequires: %{_lib}cfitsio-devel
BuildRequires: %{_lib}wcs-devel

BuildRequires: eigen3
BuildRequires: cmake
BuildRequires: kf5-macros
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5xml-devel

BuildRequires: kconfig-devel
BuildRequires: kdoctools-devel
BuildRequires: kguiaddons-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: knewstuff-devel
BuildRequires: kdbusaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kinit-devel
BuildRequires: kjobwidgets-devel
BuildRequires: kio-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kxmlgui-devel
BuildRequires: kplotting-devel
BuildRequires: ktexteditor-devel
BuildRequires: kiconthemes-devel
BuildRequires: knotifications-devel
BuildRequires: %{_lib}kf5crash-devel

BuildRequires: xplanet
BuildRequires: libfli-devel
BuildRequires: indilib-devel

%if %with_indilib
BuildRequires: pkgconfig(libindi) >= %{indilib_version}
BuildRequires: indiclient-static-devel >= %{indilib_version}
Requires: indilib >= %{indilib_version}
%endif

%description
KStars is a Desktop Planetarium for KDE. It provides an accurate graphical
simulation of the night sky, from any location on Earth, at any date and
time. The display includes 130,000 stars, 13,000 deep-sky objects,all 8
planets, the Sun and Moon, and thousands of comets and asteroids.

%files -f %name.lang
%_kf5_datadir/kstars
%_kf5_bindir/kstars
%_kf5_libdir/libhtmesh.a
%_kf5_applicationsdir/*.desktop
%_kf5_datadir/config.kcfg/kstars.kcfg
%_kf5_iconsdir/*/*/*/*
%_kf5_knotificationsdir/kstars.notifyrc
%_kf5_datadir/sounds/KDE-KStars-Alert.ogg
%_kf5_datadir/sounds/KDE-KStars-Warning.ogg
%_kf5_datadir/metainfo/org.kde.kstars.appdata.xml
/etc/dbus-1/system.d/org.kde.kf5auth.kstars.conf
/usr/libexec/kauth/kauth_kstars_helper
/usr/share/dbus-1/system-services/org.kde.kf5auth.kstars.service
/usr/share/polkit-1/actions/org.kde.kf5auth.kstars.policy
/usr/share/sounds
#------------------------------------------------------------------------------

%package handbook
Summary: KStars Handbook
Group: Documentation
BuildArch: noarch
Requires: %name

%description handbook
This package provides KStars Handbook.

%files handbook -f kstars.lang
%doc COPYING COPYING.DOC README README.ephemerides README.customize
%doc README.images README.planetmath README.timekeeping AUTHORS

#------------------------------------------------

%prep
%setup -qn %name-2.9.3

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

%find_lang %{name} --with-html

#(daviddavid) fix invalid-desktopfile
desktop-file-install \
  --dir %{buildroot}%{_kf5_applicationsdir}/ \
  --remove-key='Patterns' \
  %{buildroot}%{_kf5_applicationsdir}/*.desktop

%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Wed Feb 28 2018 bb2 <bb2> - 17.12.2-1pclos208
- new version 2.9.3

* Fri Dec 15 2017 bb2 <bb2> - 17.08.3-2pclos2017
- rebuild

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version
